from typing import TypedDict, Optional, List


class Message(TypedDict):
    id: int
    chat: str
    author: int
    body: str
    createdAt: int
    replyTo: Optional[int]
    createdAt: int
    updatedAt: Optional[int]


class Chat(TypedDict):
    id: str
    members: List[int]
    admins: List[int]
    title: str
    updatedAt: Optional[int]
    createdAt: int
    createdBy: int
    description: Optional[str]


class ChatMember(TypedDict):
    id: int
    slug: str
    name: str
    userpic: Optional[str]
    lastSeen: int
    online: Optional[bool]
